Docs
Product Repository APIProduct File

Update global product file

Security groups:Global Product Creators
PATCH
/products/product-files

Updates a file attached to a global product.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

productId*string

The ID of the product.

Lengthlength <= 65
fileId*string

The ID of the file.

FormatUUID

Request Body

multipart/form-data

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/products/product-files?productId=ProductId1&fileId=3fa85f64-5717-4562-b3fc-2c963f66afa6"
Empty
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "code": "PAYLOAD_TOO_LARGE",
  "message": "Request body too large.",
  "status": "PAYLOAD_TOO_LARGE",
  "timestamp": "2024-06-21T12:36:37.900574"
}
{
  "status": "UNSUPPORTED_MEDIA_TYPE",
  "code": "UNSUPPORTED_MEDIA_TYPE",
  "message": "Unsupported Media Type client error, the server refuses to accept the request because the payload format is in an unsupported format.",
  "timestamp": "2024-06-21T12:36:37.900574",
  "path": "/path"
}